Subject: bug#61567: 30.0.50; Define display-time-time-and-date-indicator face

From: Protesilaos Stavrou <[email-masked]>
Date: Fri, 17 Feb 2023 12:40:22 +0200

> From: Robert Pluim <[email-masked]>
> Date: Fri, 17 Feb 2023 11:31:08 +0100
>
>>>>>> On Fri, 17 Feb 2023 08:37:32 +0200, Eli Zaretskii <[email-masked]> said:
>     Eli>   ** New face 'display-time-time-and-date-indicator'.
>     Eli>   This is used for displaying the time and date components of
>     Eli>   'display-time-mode'.
>
>     Eli> should be enough.
>
>     >> +(defface display-time-time-and-date-indicator nil
>     >> +  "Face of the `display-time-format'."
>     Eli>       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>     Eli> "Face for `display-time-format'."
>
> Thatʼs a very repetitive name. How about just
> `display-time-indicator-face' (although I have a vague memory of there
> being a guideline to not end faces in -face)

Indeed, the name is awkard.  I also remember that use of "-face" is
discouraged, but could not find the resource for it.

My initial idea was to use "display-time-face", which would also be
symmetric with "display-time-mail-face".  Note though that the latter is
defined as a 'defcustom', so I wasn't sure what the right approach is.

-- 
Protesilaos Stavrou
https://protesilaos.com